--[[
QUEUE ENGINE 0.5 ~ Map.lua

(C) 2013 Clinton S. Cañalita and others
]]--

-- set your Tiled maps here. Make sure they're in their complete names.
mapfiles = {"taste_withthugs.tmx", "thug_test.tmx", "tut1.tmx", "e1m1.tmx"}

function loadMap(lvl)
  -- set bg color!
  lg.setBackgroundColor(220,220,255)
  
  -- add a new player!
	p = Player:new()
	
  -- setup ATL
	current_map = lvl
	map = ATL.Loader.load(mapfiles[lvl])
	map.drawObjects = false -- hide object outline
  
  -- setup tables
	map.enemies = {}
	map.entities = {}
	map.doors = {}

  -- setup time (for fast time in the HSB or something)
	map.time = 0

  -- map widths & height
	MAPW = map.width*32
	MAPH = map.height*32
  
  -- startx and starty (for player)
	map.startx = 0
	map.starty = 0
  
	-- point system
	map.points = 0
	
  -- setup the tile layer to make isOpaque true
	local solid = map.tl["solid"]
	solid.isOpaque = true

  -- the magic begins. Call upon the object layer to get types:
	for i,v in ipairs(map.objectLayers.obj.objects) do
    -- player start position
		if v.type == "start" then
			map.startx = (v.x+8)
			map.starty = v.y
    --doors
		elseif v.type == "door" then
			table.insert(map.doors, Door.create(v.x, v.y, v.name, v.properties))
    -- the thug
    
		elseif v.type == "thug" then
			thug = table.insert(map.enemies, Thug.create((v.x+8), v.y))
    
    -- exit area
		--[[
    elseif v.type == "exit" then
			table.insert(map.entities, Exit.create(v.x, v.y))
      ]]--
		end
	end
  
  -- setup player variables
	p.w = 16
	p.h = 32

  -- setup the player position
	p.x = map.startx
	p.y = map.starty
	
  -- setup the drawing range (less memory consumption
	map:setDrawRange(0, 0, map.width * map.tileWidth, map.height * map.tileHeight)
  
  -- setup a new camera
	camera = gamera.new(0, 0, (map.width * map.tileWidth), (map.height * map.tileHeight))
	camera:setWindow(0,0,800,450)
  
  -- end of loadMap
end
