--[[
QUEUE ENGINE 0.5 ~ Resources.lua

(C) 2013 Clinton S. Cañalita and others
]]--

function resourceSet ()

  --player
  pimage = lg.newImage(ipath.."nikki.png")
  pquad = anim8.newGrid(32, 32, pimage:getWidth(), pimage:getHeight())
  
  playerAnim = {}
  
  -- 1: stand
  playerAnim[1] = anim8.newAnimation(pquad('1-4',1), 0.1)
  -- 2 - 3: run animation
  playerAnim[2] = anim8.newAnimation(pquad('5-8',1), 0.1)
  playerAnim[3] = anim8.newAnimation(pquad('5-8',1), 0.1):flipH()
  -- 4 - 5: walk animation
  playerAnim[4] = anim8.newAnimation(pquad('1-4',3), 0.1)
  playerAnim[5] = anim8.newAnimation(pquad('1-4',3), 0.1):flipH()
  -- 6 - 7: jump animation
  playerAnim[6] = anim8.newAnimation(pquad('1-2',2), 0.1)
  playerAnim[7] = anim8.newAnimation(pquad('1-2',2), 0.1):flipH()
  -- 8 - 9: fall animation
  playerAnim[8] = anim8.newAnimation(pquad(3,2), 0.1)
  playerAnim[9] = anim8.newAnimation(pquad(3,2), 0.1):flipH()
  -- 10 - 11: wall slide animation
  playerAnim[10] = anim8.newAnimation(pquad('5-6',2), 0.1):flipH()
  playerAnim[11] = anim8.newAnimation(pquad('5-6',2), 0.1)
  -- 12 - 13: push animation
  playerAnim[12] = anim8.newAnimation(pquad('7-8',2), 0.1)
  playerAnim[13] = anim8.newAnimation(pquad('7-8',2), 0.1):flipH()
  -- 14 - 15: attack 1 animation
  playerAnim[14] = anim8.newAnimation(pquad('1-4',4), 0.1)
  playerAnim[15] = anim8.newAnimation(pquad('1-4',4), 0.1):flipH()
  -- 16 - 17: attack 2 animation
  playerAnim[16] = anim8.newAnimation(pquad('5-8',4), 0.1)
  playerAnim[17] = anim8.newAnimation(pquad('5-8',4), 0.1):flipH()
  -- 18 - 19: tazer hit animation
  playerAnim[18] = anim8.newAnimation(pquad('1-4',5), 0.1)
  playerAnim[19] = anim8.newAnimation(pquad('1-4',5), 0.1):flipH()
  -- 20 - 21: lightning bash animation
  playerAnim[20] = anim8.newAnimation(pquad('5-8',5), 0.1)
  playerAnim[21] = anim8.newAnimation(pquad('5-8',5), 0.1):flipH()
  -- 22 - 23: dodge animation

  --entities
  --doors
  dimage = lg.newImage(ipath.."door.png")
  dquad = lg.newQuad(0,0,32,32,32,32)
  simage = lg.newImage(ipath.."stair.png")
  squad = lg.newQuad(0,0,32,48,32,48)

  --enemies
  --thugs
  timage = lg.newImage(ipath.."thug.png") -- placeholder
  tquad = anim8.newGrid(32, 32, timage:getWidth(), timage:getHeight())
  
  tstand = anim8.newAnimation(tquad('1-4',1), 0.1)
  twalkr = anim8.newAnimation(tquad('1-4',2), 0.1)
  twalkl = anim8.newAnimation(tquad('1-4',3), 0.1)
  
  -- end of setting resources
end