--[[
QUEUE ENGINE 0.5 ~ Update.lua

(C) 2013 Clinton S. Cañalita and others
]]--

function pControl(dt)
  -- PLACE HERE IF YOU USE KEY TO JUST HOLD. If you want the key to be pressed
  -- only once, use the Main.lua 'love.keypressed' function.
  
  if (p.alive) then
    --player controls for moving left or right
    if love.keyboard.isDown("left") and p.atk_trigger == false then
      p:left()
    elseif love.keyboard.isDown("right") and p.atk_trigger == false then
      p:right()
    else
      p:stop()
    end
    --player controls for walking/running
    if love.keyboard.isDown("lshift") then
      p:run()
    else
      p:walk()
    end
    --player controls for jumping
    if love.keyboard.isDown(" ") then
      p:jump()
    else
      p:jumpLetGo()
    end
  end
end

function pAnimation(dt)
  if (p.hor_jump_vel > 0) and not p.bJumpLetGo  then
		animation_state = 6
	elseif (p.hor_jump_vel < 0) and not p.bJumpLetGo then
		animation_state = 7

	elseif (p.side_stick == 1)  and (p.hor_jump_vel == 0) then
		animation_state = 10
	elseif (p.side_stick == -1) and (p.hor_jump_vel == 0) then
		animation_state = 11

	elseif (p.state == "stand") then
		animation_state = 1

	elseif (p.state == "right") and (p.isPush) then
		animation_state = 12
	elseif (p.state == "left") and (p.isPush) then
		animation_state = 13
	
	elseif (p.state == "right") and (p.sp_status == "run") then
		animation_state = 2
	elseif (p.state == "left") and (p.sp_status == "run") then
		animation_state = 3
	elseif (p.state == "right") and (p.sp_status == "walk") then
		animation_state = 4
	elseif (p.state == "left") and (p.sp_status == "walk") then
		animation_state = 5
	elseif (p.state == "jump") and (p.x_vel >= 0) and (p.side_stick == 0) then
		animation_state = 6
	elseif (p.state == "jump") and (p.x_vel < 0) and (p.side_stick == 0) then
		animation_state = 7
	elseif (p.state == "fall") and (p.x_vel >= 0) then
		animation_state = 8
	elseif (p.state == "fall") and (p.x_vel < 0) then
		animation_state = 9
	
	elseif (p.state == "attack") and p.critical and p.dir == 1 then
		animation_state = 18
		animclock:update(dt)
	elseif (p.state == "attack") and p.critical and p.dir == 0 then
		animation_state = 19
		animclock:update(dt)
	
	elseif (p.state == "attack") and (p.dir == 1) then
		if p.atk_count == 1 then
		  animation_state = 14
			animclock:update(dt)
		elseif p.atk_count == 2 then
		  animation_state = 16
			animclock:update(dt)
		end

	elseif (p.state == "attack") and (p.dir == 0) then
		if p.atk_count == 1 then
		  animation_state = 15
			animclock:update(dt)
		elseif p.atk_count == 2 then
		  animation_state = 17
			animclock:update(dt)
		end
	end
  
  playerAnim[animation_state]:update(dt)
end